### Method

# Ggit Commit get_tree_id

#### Declaration [src]

    GgitOId*
    ggit_commit_get_tree_id (
      GgitCommit* commit
    )

#### Description [src]

Get the `GgitOId` of the tree of `commit`. Note that this is more efficient than getting the tree object with `ggit_commit_get_tree()` because no additional files need to be read from disk.

#### Return value

Type: `GgitOId`

A `GgitOId`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.